<?php
/**
 * ownCloud
 *
 * @author Frank Karlitscheck <frank@owncloud.com>
 * @author Arthur Schiwon <blizzz@owncloud.com>
 * @copyright (C) 2014 ownCloud, Inc.
 *
 * This code is covered by the ownCloud Commercial License.
 *
 * You should have received a copy of the ownCloud Commercial License
 * along with this program. If not, see <https://owncloud.com/licenses/owncloud-commercial/>.
 *
 */

// check if license app is enabled
if(!OCP\App::isEnabled('enterprise_key')) {
	// enable accidently disabled license app. Can happen during upgrade.
	OCP\Util::writeLog('files_ldap_home','Enabling Enterprise license app which was deactivated.', \OCP\Util::ERROR);
	OC_App::enable('enterprise_key');
} else {

	OC::$CLASSPATH['OCA\Files_LDAP_Home\Helper'] = 'files_ldap_home/lib/helper.php';
	OC::$CLASSPATH['OCA\Files_LDAP_Home\LDAPReader'] = 'files_ldap_home/lib/ldapreader.php';
	OC::$CLASSPATH['OCA\Files_LDAP_Home\Storage'] = 'files_ldap_home/lib/storage.php';
	OC::$CLASSPATH['OCA\Files_LDAP_Home\Settings'] = 'files_ldap_home/lib/settings.php';

	try {
		\OCA\Files_LDAP_Home\Helper::checkOperability();
	} catch (\Exception $e) {
		\OCP\Util::writeLog('files_ldap_home',
			$e->getMessage(),
			\OCP\Util::ERROR
		);
		return;
	}

	OCP\App::registerAdmin('files_ldap_home', 'settings');

	OCP\Util::connectHook('OC_Filesystem', 'post_initMountPoints',
		'\OCA\Files_LDAP_Home\Storage', 'setup');
	\OCP\Util::connectHook('OC_Filesystem', 'rename',
		'\OCA\Files_LDAP_Home\Helper', 'onRename');
	\OCP\Util::connectHook('OC_Filesystem', 'delete',
		'\OCA\Files_LDAP_Home\Helper', 'onRename');
	
}
