<?php
/**
 * ownCloud
 *
 * @author Arthur Schiwon <blizzz@owncloud.com>
 * @copyright (C) 2014 ownCloud, Inc.
 *
 * This code is covered by the ownCloud Commercial License.
 *
 * You should have received a copy of the ownCloud Commercial License
 * along with this program. If not, see <https://owncloud.com/licenses/owncloud-commercial/>.
 *
 */

OC_Util::checkAdminUser();

try {
	\OCA\Files_LDAP_Home\Helper::checkOperability();
	$isAppWorking = true;

} catch (Exception $e) {
	die($e->getMessage());
	$isAppWorking = false;
}

OCP\Util::addstyle('files_ldap_home', 'settings');
OCP\Util::addscript('files_ldap_home', 'settings');

$tmpl = new OCP\Template('files_ldap_home', 'settings');
$tmpl->assign('enabled', $isAppWorking);

if($isAppWorking){
	$settings = new \OCA\Files_LDAP_Home\Settings();

	$tmpl->assign('homeMountNameDefault', $settings->defaultMountName);
	$tmpl->assign('homeMountName', $settings->MountName);
	$tmpl->assign('attributeMode', $settings->AttributeMode);
	$tmpl->assign('attribute', $settings->Attribute);
	$tmpl->assign('serverHosts', $settings->serverHosts);
}

return $tmpl->fetchPage();
