<?php
/**
 * ownCloud
 *
 * @author Juan Pablo Villafañez Ramos <jvillafanez@owncloud.com>
 * @author Jesus Macias Portela <jesus@owncloud.com>
 * @copyright (C) 2014 ownCloud, Inc.
 *
 * This code is covered by the ownCloud Commercial License.
 *
 * You should have received a copy of the ownCloud Commercial License
 * along with this program. If not, see <https://owncloud.com/licenses/owncloud-commercial/>.
 *
 */
use \OCA\windows_network_drive\lib\DBAccess;

\OCP\JSON::checkAppEnabled('windows_network_drive');
\OCP\User::isLoggedIn();
\OCP\JSON::callCheck();

$mounts = array();
$user = \OCP\User::getUser();

$l = OC_L10N::get('windows_network_drive');

$mountList = DBAccess::getMountsForUser($user, \OC_Group::getUserGroups($user));
if ($mountList !== false) {
    while(($row = $mountList->fetchRow()) !== false) {
        $mounts[] = array('mount_point' => $row['mount_point'],
                            'id' => $row['mount_id'],
                            'type' => 'admin',
                            'location' => intval($row['use_custom_credentials']));
    }
} else {
    \OCP\JSON::error(array("message" => $l->t('Error accessing the DB')));
}

$mountList = DBAccess::getPersonalMountsPerUser($user);
if ($mountList !== false) {
    while(($row = $mountList->fetchRow()) !== false) {
        $mounts[] = array('mount_point' => $row['mount_point'],
                            'id' => $row['personal_mount_id'],
                            'type' => 'personal',
                            'location' => intval($row['use_global_credentials']));
    }
} else {
    \OCP\JSON::error(array("message" => $l->t('Error accessing the DB')));
}

\OCP\JSON::success(array('data' => $mounts));
