/**
 * ownCloud
 *
 * @author Juan Pablo Villafañez Ramos <jvillafanez@owncloud.com>
 * @author Jesus Macias Portela <jesus@owncloud.com>
 * @copyright (C) 2014 ownCloud, Inc.
 *
 * This code is covered by the ownCloud Commercial License.
 *
 * You should have received a copy of the ownCloud Commercial License
 * along with this program. If not, see <https://owncloud.com/licenses/owncloud-commercial/>.
 *
 */

$(document).ready(function(){
    if ($('#filesApp').val()) {
        var time = 3000;
        var checkTimeout = false;

        $('#app-content-files')
            .add('#app-content-wndmounts')
            .on('changeDirectory', function(e){
            if (e.dir === '/') {
                var mount_point = e.previousDir.split('/', 2)[1];
                // make sure we have a mount point list
                OCA.WND.WNDMountManager.getMountPointList(function() {
                    OCA.WND.WNDMountManager.recheckConnectivityForMount([mount_point], true, true);
                });
            }
        }).on('fileActionsReady', function(e){
            if ($.isArray(e.$files)) {
                if (OCA.WND.WNDMountManager.mountStatus === null ||
                        OCA.WND.WNDMountManager.mountPointList === null ||
                        _.size(OCA.WND.WNDMountManager.mountStatus) !== _.size(OCA.WND.WNDMountManager.mountPointList)) {
                    // we don't have the data cached, so we'll get it one by one
                    OCA.WND.WNDMountManager.launchFullConnectivityCheckOneByOne();
                } else {
                    // make sure we have a mount point list
                    OCA.WND.WNDMountManager.getMountPointList(function(){
                        var fileNames = [];
                        $.each(e.$files, function(key, value){
                            fileNames.push(value.attr('data-file'));
                        });
                        OCA.WND.WNDMountManager.recheckConnectivityForMount(fileNames, false, false);
                    });
                }
            }
        });
    }

});
