<?php
/**
 * ownCloud
 *
 * @author Juan Pablo Villafañez Ramos <jvillafanez@owncloud.com>
 * @author Jesus Macias Portela <jesus@owncloud.com>
 * @copyright (C) 2014 ownCloud, Inc.
 *
 * This code is covered by the ownCloud Commercial License.
 *
 * You should have received a copy of the ownCloud Commercial License
 * along with this program. If not, see <https://owncloud.com/licenses/owncloud-commercial/>.
 *
 */

use \OCA\windows_network_drive\lib\DBAccess;
use \OCA\windows_network_drive\lib\Utils;

OCP\JSON::checkAppEnabled('windows_network_drive');
OC_Util::checkAdminUser();

OCP\Util::addScript('windows_network_drive', 'wndutils');
OCP\Util::addScript('windows_network_drive', 'wndAjaxCalls');
OCP\Util::addScript('windows_network_drive', 'settings');
OCP\Util::addStyle('windows_network_drive', 'settings');

$globalMounts = DBAccess::getAllMountsWithApplicablesParsed();
$personalActive = \OCP\Config::getAppValue('windows_network_drive', 'personal_mounts', false);
$globalSharingActive = \OCP\Config::getAppValue('windows_network_drive', 'global_sharing', false);
$globalCredentials = DBAccess::getAdminGlobalCredentialsCached();

$userSet = Utils::getDefault($globalCredentials, 'global_username', '');
$passwordSet = ($globalCredentials) ? true : false;    // global credentials is false if there ir no DB row for admin

$tmpl = new OCP\Template('windows_network_drive', 'settings');
$tmpl->assign('username', $userSet);
$tmpl->assign('passwordSet', $passwordSet);
$tmpl->assign('globalMounts', $globalMounts);
$tmpl->assign('personalActive', $personalActive);
$tmpl->assign('globalSharingActive', $globalSharingActive);
return $tmpl->fetchPage();
