<?php
/**
 * ownCloud
 *
 * @author Juan Pablo Villafañez Ramos <jvillafanez@owncloud.com>
 * @author Jesus Macias Portela <jesus@owncloud.com>
 * @copyright (C) 2014 ownCloud, Inc.
 *
 * This code is covered by the ownCloud Commercial License.
 *
 * You should have received a copy of the ownCloud Commercial License
 * along with this program. If not, see <https://owncloud.com/licenses/owncloud-commercial/>.
 *
 */

vendor_script('select2/select2');
vendor_style('select2/select2');
?>

<div id="WNDpersonal" class="section">
    <h2><?php p($l->t('Windows Network Drive Personal Configuration'));?></h2>
    <div>
        <p><?php p($l->t('Personal credentials. These fields can be used for each of the Windows storage mounts')); ?></p>
        <input type="text" id="WNDGlobalUsername" name="WNDGlobalUsername" placeholder="<?php p($l->t('Username')); ?>" value="<?php p($_['username']); ?>" />
        <input type="password" id="WNDGlobalPassword" name="WNDGlobalPassword" placeholder="<?php p($l->t('Password')); ?>" value="<?php if ($_['passwordSet']) p('●●●●●●●'); ?>" />
    </div>
    <div id="WNDadminPersonalMountPoints" class="containing_grid">
    <h3><?php p($l->t('Admin added mount points')); ?></h3>
    <table class="grid">
        <thead>
            <tr>
                <th><?php p($l->t('Folder Name')); ?></th>
                <th><?php p($l->t('Url')); ?></th>
                <th><?php p($l->t('Share')); ?></th>
                <th><?php p($l->t('Root')); ?></th>
                <th><?php p($l->t('Authentication credentials')); ?></th>
            </tr>
        </thead>
        <tbody>
            <?php foreach($_['globalMounts'] as $mount): ?>
            <tr data-mid="<?php p(intval($mount['mount_id'])); ?>">
                <td><?php p($mount['mount_point']); ?></td>
                <td><?php p($mount['mount_url']); ?></td>
                <td><?php p($mount['share']); ?></td>
                <td><?php p($mount['root']); ?></td>
                <td class="td_wnd_creds">
                <?php if(intval($mount['use_custom_credentials']) === 1): ?>
                    <?php if(is_null($mount['credential_username']) || is_null($mount['credential_password'])): ?>
                        <input type="text" name="WNDuser" id="WNDuser<?php p(intval($mount['mount_id'])) ?>" placeholder="<?php p($l->t('Username')); ?>" />
                        <input type="password" name="WNDpass" id="WNDpass<?php p(intval($mount['mount_id'])) ?>" placeholder="<?php p($l->t('Password')); ?>" />
                    <?php else: ?>
                        <span><?php p($l->t('Username') . ': ') ?></span>
                        <span name="username"><?php p($mount['credential_username']) ?></span>
                    <?php endif; ?>
                <?php else: ?>
                    <span><?php p($l->t('Credentials provided by the admin')) ?></span>
                <?php endif; ?>
                </td>
                <td>
                <?php if(intval($mount['use_custom_credentials']) === 1): ?>
                    <?php if(is_null($mount['credential_username']) || is_null($mount['credential_password'])): ?>
                        <input type="button" class="SaveButton" value="<?php p($l->t('Save')) ?>" />
                    <?php else: ?>
                        <input type="button" class="EditButton" value="<?php p($l->t('Edit')) ?>" />
                    <?php endif; ?>
                <?php endif; ?>
                </td>
            </tr>
            <?php endforeach; ?>
        </tbody>
    </table>
    </div>
    <?php if($_['personal_mounts_enabled']): ?>
    <div id="WNDPersonalMountPoints" class="containing_grid">
    <h3><?php p($l->t('Personal mount points')); ?></h3>
    <table class="grid">
        <thead>
            <tr>
                <th><?php p($l->t('Folder Name')); ?></th>
                <th><?php p($l->t('Url')); ?></th>
                <th><?php p($l->t('Share')); ?></th>
                <th><?php p($l->t('Root')); ?></th>
                <th><?php p($l->t('Credentials')); ?></th>
            </tr>
        </thead>
        <tbody>
            <?php foreach($_['personalMounts'] as $personalMount): ?>
            <tr data-mid="<?php p(intval($personalMount['personal_mount_id'])) ?>">
                <td><?php p($personalMount['mount_point']); ?></td>
                <td><?php p($personalMount['mount_url']); ?></td>
                <td><?php p($personalMount['share']); ?></td>
                <td><?php p($personalMount['root']); ?></td>
                <td class="td_wnd_creds">
                    <select class="wnd-select" disabled="disabled">
                        <option value="2" <?php if (intval($personalMount['use_global_credentials']) === 2) print_unescaped('selected="selected"') ?>>
                            <?php p($l->t('Personal credentials')) ?>
                        </option>
                        <option value="0" <?php if (intval($personalMount['use_global_credentials']) === 0) print_unescaped('selected="selected"') ?>>
                            <?php p($l->t('Custom credentials')) ?>
                        </option>
                    </select>
                    <?php if (intval($personalMount['use_global_credentials']) !== 0): ?>
                        <input type="text" name="WNDuser" placeholder="<?php p($l->t('Username')); ?>" style="display:none" />
                        <input type="password" name="WNDpass" placeholder="<?php p($l->t('Password')); ?>" style="display:none" />
                    <?php else: ?>
                        <input type="text" name="WNDuser" placeholder="<?php p($l->t('Username')); ?>" value="<?php p($personalMount['creds_username']) ?>" disabled="disabled" />
                        <input type="password" name="WNDpass" placeholder="<?php p($l->t('Password')); ?>" disabled="disabled" />
                    <?php endif; ?>
                </td>
                <td>
                    <input type="button" class="EditButton" value="<?php p($l->t('Edit')) ?>" />
                    <input type="button" class="DeleteButton" value="<?php p($l->t('Delete')); ?>" />
                </td>
            </tr>
            <?php endforeach; ?>
        </tbody>
        <tfoot>
            <tr>
                <td><input type="text" id="WNDMountPoint" name="WNDMountPoint" placeholder="<?php p($l->t('Folder Name')); ?>" /></td>
                <td><input type="text" id="WNDUrl" name="WNDUrl" placeholder="<?php p($l->t('Url')); ?>" /></td>
                <td><input type="text" id="WNDShare" name="WNDShare" placeholder="<?php p($l->t('Share')); ?>" /></td>
                <td><input type="text" id="WNDRoot" name="WNDRoot" placeholder="<?php p($l->t('Root')); ?>" /></td>
                <td>
                    <select class="wnd-select" id="WNDCredentialsType" name="WNDCredentialsType">
                        <option value="2" selected="selected"><?php p($l->t('Personal credentials')) ?></option>
                        <option value="0"><?php p($l->t('Custom credentials')) ?></option>
                    </select>
                    <input type="text" id="WNDuser" name="WNDuser" style="display:none" placeholder="<?php p($l->t('Username')); ?>" />
                    <input type="password" id="WNDpass" name="WNDpass" style="display:none" placeholder="<?php p($l->t('Password')); ?>" />
                </td>
                <td><input type="button" id="WNDSaveButton" value="<?php p($l->t('Save')); ?>" /></td>
            </tr>
        </tfoot>
    </table>
    </div>
    <?php endif; ?>
</div>
