#ownCloud Enterprise in a Docker container

All commands as script in ```start.sh```

##Build

```
docker build -t oc docker/
```

##Run

Choose a port on your local machine and run the owncloud image
```
PORT=80
docker run -dp $PORT:80 -h owncloud --name=owncloud oc 
```


Open a browser and find ownCloud at 127.0.0.1:$PORT
```
google-chrome 127.0.0.1:80
```

##Discover IP and connect via ssh

To connect with ssh run the container with option --enable-insecure-key
```
PORT=80
docker run -dp $PORT:80 -h owncloud --name=owncloud oc /sbin/my_init --enable-insecure-key
```

Then you can discover the IP and ssh into the container.
```
IP=$(docker inspect -f "{{ .NetworkSettings.IPAddress }}" owncloud)
ssh -o'UserKnownHostsFile /dev/null' -oStrictHostKeyChecking=no -i docker/insecure_key root@$IP
```

##Start, stop, delete

Stop the container
```
docker stop owncloud
```

Start the container
```
docker start owncloud
```

Remove Container (all data lost)
```
docker rm -f owncloud
```

##Cleanup 

Remove all Docker containers
```
docker rm -f $(docker ps -a -q)
```

Remove all Docker images
```
docker rmi $(docker images | grep "^<none>" | awk "{print $3}")
```
